diff options
author | Natanael Copa <ncopa@alpinelinux.org> | 2009-04-02 13:22:35 +0000 |
---|---|---|
committer | Natanael Copa <ncopa@alpinelinux.org> | 2009-04-02 13:22:35 +0000 |
commit | 58140133580cd489ac66286fc8c3290b7ca9b711 (patch) | |
tree | 95113a4c3062728dd1c02835128b57044cf6fe40 /core/parted | |
parent | 9bd545a8bc9bfa7d6ad399abe8fc55b424510ef7 (diff) | |
download | aports-58140133580cd489ac66286fc8c3290b7ca9b711.tar.bz2 aports-58140133580cd489ac66286fc8c3290b7ca9b711.tar.xz |
core/parted: disable useless check for C++
Diffstat (limited to 'core/parted')
-rw-r--r-- | core/parted/APKBUILD | 8 | ||||
-rw-r--r-- | core/parted/nocxx.patch | 15 |
2 files changed, 21 insertions, 2 deletions
diff --git a/core/parted/APKBUILD b/core/parted/APKBUILD index 03111a0c1..dd1f2c967 100644 --- a/core/parted/APKBUILD +++ b/core/parted/APKBUILD @@ -8,15 +8,19 @@ license="GPL3" subpackages="$pkgname-dev $pkgname-doc" depends="libuuid uclibc readline ncurses" makedepends="pkgconfig e2fsprogs-dev uclibc readline-dev ncurses-dev" -source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz" +source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz + nocxx.patch" build () { cd "$srcdir"/$pkgname-$pkgver + patch configure < ../nocxx.patch || return 1 + ./configure --prefix=/usr \ --disable-debug \ --disable-Werror make || return 1 make DESTDIR="$pkgdir" install } -md5sums="0d494591731082ec57cc18627728124a parted-1.8.8.tar.gz" +md5sums="0d494591731082ec57cc18627728124a parted-1.8.8.tar.gz +28513788ba4d556ccd538867dc6205ab nocxx.patch" diff --git a/core/parted/nocxx.patch b/core/parted/nocxx.patch new file mode 100644 index 000000000..beb1ab900 --- /dev/null +++ b/core/parted/nocxx.patch @@ -0,0 +1,15 @@ +--- a/configure 2004-12-07 21:34:23.205172545 +0000 ++++ b/configure 2004-12-07 21:37:17.726654782 +0000 +@@ -5148,10 +5148,8 @@ + : + else + { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check +-See \`config.log' for more details." >&5 +-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check +-See \`config.log' for more details." >&2;} +- { (exit 1); exit 1; }; } ++See \`config.log' for more details." >&5;} ++ { echo "C++ sucks, ignoring ..." >&5; }; } + fi + + ac_ext=cc |